#ifndef MAINAPP_H
#define MAINAPP_H

#include <QMainWindow>
#include <QSerialPort>
#include <QSerialPortInfo>
#include <QTimer>
#include <QDateTime>
#include <QDebug>
#include <QString>
#include <QFile>
#include "ccommuniquer.h"

#define TIMEOUT 5000

class CBdd;
namespace Ui {
class Mainapp;
}

class Mainapp : public QMainWindow
{
    Q_OBJECT

public:
    explicit Mainapp(QWidget *parent = 0);
    ~Mainapp();

private slots:
    void on_pBvalider_clicked();
    /*int emettre(char *trame, int nb);
    void on_pBnouvellemission_clicked();

    void on_pBarretmission_clicked();
    void on_pBNouvelleMisson_2_clicked();*/
    void on_pBtestEDD_clicked();
    //void on_pBdepartmission_clicked();

private:

    Ui::Mainapp *ui;
    QSerialPort *serial;
    QByteArray qbaRep;
    CCommuniquer *mCom;
    bool recPossible;
    bool tempsEcoule;
    int initVoieSerie(QString nomVs);
};

#endif // MAINAPP_H
