#include "cihmappincrustation.h"
#include "ui_cihmappincrustation.h"

CIhmAppIncrustation::CIhmAppIncrustation(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::CIhmAppIncrustation)
{
    ui->setupUi(this);
    m_max = new CDeviceSpiMax7456(this,'0', 250000);
}

CIhmAppIncrustation::~CIhmAppIncrustation()
{
    delete m_max;
    delete ui;
}

void CIhmAppIncrustation::on_pbEffacer_clicked()
{
    m_max->effaceEcran();
}

void CIhmAppIncrustation::on_pbAfficher_clicked()
{
    m_max->printRC((char *)ui->lineEdit->text().toStdString().c_str(), ui->leLigne->text().toInt(), ui->leCol->text().toInt());
}
