#include "mainapp.h"
#include "ui_mainapp.h"
#include "cbdd.h"

Mainapp::Mainapp(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::Mainapp)
{
    ui->setupUi(this);
    mCom = 0;
    ui->statusBar->showMessage("Veuillez remplir le formulaire suivant avant de lancer la mission !");
    ui->TabWidget->setTabEnabled(0,true);
    ui->TabWidget->setTabEnabled(1,false);
    ui->TabWidget->setTabEnabled(2,false);

    QList<QSerialPortInfo> listSerialPort = QSerialPortInfo::availablePorts();
    qDebug()<< "taille" << listSerialPort.size();
    for (int i=0; i<listSerialPort.size();i++)
    {
      qDebug()<<"mainapp::mainapp:" <<listSerialPort.at(i).portName()<< "" <<listSerialPort.at(i).description();
      ui->cbBportserie->addItem(listSerialPort.at(i).portName());
    }
    //ui->pBvalider->setEnabled(false);
}

Mainapp::~Mainapp()
{
    delete ui;
}

/*void Mainapp::on_pBnouvellemission_clicked()
{
     ui->lEnomdelamission->setText("Mission n°");
}*/
void Mainapp::on_pBvalider_clicked()
{
    if(mCom == NULL)
    {
        mCom = new CCommuniquer(this, "/dev/" + ui->cbBportserie->currentText());
        connect(mCom, SIGNAL(sigReponse(QString)),ui->statusBar,SLOT(showMessage(QString)));
        QMessageBox msgCom;
        msgCom.setText("Attention le port selectioné sera choisi");
        msgCom.setInformativeText("Veuillez verifier le port.");
        msgCom.setStandardButtons(QMessageBox::Ok);
        msgCom.setDefaultButton(QMessageBox::Ok);
        msgCom.exec();
    }
    ui->TabWidget->setTabEnabled(0,false);
    ui->TabWidget->setTabEnabled(1,true);
    ui->TabWidget->setTabEnabled(2,false);
    mCom->debutMission();
}
/*void Mainapp::on_pBarretmission_clicked()
{
    ui->TabWidget->setTabEnabled(0,false);
    ui->TabWidget->setTabEnabled(1,false);
    ui->TabWidget->setTabEnabled(2,true);
}

void Mainapp::on_pBNouvelleMisson_2_clicked()
{
    ui->TabWidget->setTabEnabled(0,true);
    ui->TabWidget->setTabEnabled(1,false);
    ui->TabWidget->setTabEnabled(2,false);
}
*/
void Mainapp::on_pBtestEDD_clicked()
{
    if(mCom != NULL)
    {
        delete mCom;
        mCom = NULL;
    }
    mCom = new CCommuniquer(this, "/dev/" + ui->cbBportserie->currentText());
    connect(mCom, SIGNAL(sigReponse(QString)),ui->statusBar,SLOT(showMessage(QString)));
    mCom->testComm();

   /* qDebug() << "envoi de la commande [TT] TEST...";
    int res = emettre((char *)"\x02[TT]\x03",6);
    if (res > 0) {
        ui->statusBar->showMessage("Test de la liaison avec EDD OK");
        //ui->pBvalider->setEnabled(true);
        qDebug() << "Mainapp::on_pBtestEDD_clicked: Test positif !!!";
    }else {
        ui->statusBar->showMessage("Test de la liaison avec EDD HS !");
        qDebug() << "Mainapp::on_pBtestEDD_clicked: Test négatif !!!";
    }*/
}
/*
void Mainapp::on_pBdepartmission_clicked()
{
    qDebug() << "envoi de la commande [00] START MISSION...";
    bool res=emettre((char *)"\x02[TT]\x03",6);
    res=emettre((char *)"\x02[00]\x03",6);
    if (res > 0)
        ui->statusBar->showMessage("Lancement de la mission OK");
    else
        ui->statusBar->showMessage("Lancement de la mission HS.");

}

int Mainapp::emettre(char *trame, int nb)
{
    int nbe=3;
    while(nbe>0)
    {
      nbe--;
      int ret = serial->write(trame,nb);
      if(ret != nb)
        {
          ui->pBtestEDD->setText("Erreur W ! ,Retry");
          qDebug() <<"Mainapp:on_pBtestEDD_clicked: Impossible d'écrire dans le port série.";
        }
      else
      {
          recPossible=serial->waitForReadyRead(TIMEOUT);
          if(recPossible && (serial->bytesAvailable()>5) )
               {
                  QByteArray qbaRep = serial->readAll();
                  if (qbaRep == "\x02[AA]\x03")
                      {
                         ui->pBtestEDD->setText("test OK, Retry !");
                      }
                  else
                      {
                         ui->pBtestEDD->setText("test KO, Retry !");
                         qDebug() << "Test liaison DATA : Réponse : " << qbaRep;
                         break;
                      }
                  if (recPossible && serial->bytesAvailable() < 6 )
                      {
                         qDebug() << "Reception de la réponse incomplete";
                      }

               }
                  while(recPossible);
      }
      if (nbe != -1)
          return -1;
      else
          return 1;

    }*/
